#ifndef _CMD_FUNC_H_
#define _CMD_FUNC_H_

/*
This module contains user-defined command handling functions
and command/function tables. Customize source to your needs.

Written by YS from radiokot.ru and we.easyelectronics.ru

You may freely use and redistribute this code any way you want,
but only at your own risk. Author gives no warranty and takes no 
responsibility on anything that could happen while using this code.
*/

#include <stdint.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>

#include "cmd_util.h"
#include "uart_text_io.h"

#define F_CPU 8000000L
#include <util/delay.h>
// datatype definitions macros
typedef unsigned char u08;
typedef signed char s08;
typedef unsigned short u16;
typedef signed short s16;
typedef unsigned long u32;
typedef signed long s32;
typedef unsigned long long u64;
typedef signed long long s64;
#define HI(x) ((x)>>8)
#define LO(x) ((x)& 0xFF)
#define HI32(x) ((x)>>16)
#define LO32(x) ((x)& 0xFFFF)    
//#define buffer_MAX 16				//   
//volatile char buffer[buffer_MAX] = "0123456789ABCDEF"; 	//     
//volatile u08 buffer_index=0;
//MultiServo
#define MaxServo 20


//Total functions number
#define FUNC_NUM        10

//Function and command tables
extern void (*sys_func[])(uint8_t* p_arg[],uint8_t num_args);
extern uint8_t* sys_func_names[];

#endif
